commit:     a48a999f771f52e39bce7c2b5c537df1cbc99189
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  6 00:39:03 2016 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Oct  7 18:11:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a48a999f

dev-python/pytest-cov: Version bump, adds a new pkg dep

New dep added: dev-python/sphinx-pydoc-enhanced-theme
The new dep is the reason for the keywords being dropped.

Package-Manager: portage-2.3.1_p8

 dev-python/pytest-cov/Manifest                     |  1 +
 .../files/fix-for-deprecation-warnings.patch       | 16 ++++++
 dev-python/pytest-cov/pytest-cov-2.3.1.ebuild      | 61 ++++++++++++++++++++++
 3 files changed, 78 insertions(+)

diff --git a/dev-python/pytest-cov/Manifest b/dev-python/pytest-cov/Manifest
index eb6f008..b1359b1 100644
--- a/dev-python/pytest-cov/Manifest
+++ b/dev-python/pytest-cov/Manifest
@@ -3,3 +3,4 @@ DIST pytest-cov-1.8.1.tar.gz 8649 SHA256 
31e5198c06f290e1e813d30ddd063a0401d9e3a
 DIST pytest-cov-2.1.0.tar.gz 25992 SHA256 
6e86c3ae3be9930fa3f1402651819b00169fb5e963d29ed03d390d152a608506 SHA512 
f763e611b19f6769183583d275e28467f7cc5cc8a8fe5a4d3eb798ddf8d4e008732ec8c29b757aaf0fba0f5a660d92729499f3d388693f631ba73cc7a570d738
 WHIRLPOOL 
1ece60dea2fc1ff2da342313a0e67ee63a63cf35ece930f92b59c2283522698df0be4c10fb6951d3afff9fb1acffd37d207dcc4f0400109cb4f8c830d69a5857
 DIST pytest-cov-2.2.0.tar.gz 29965 SHA256 
2231d43f07760d6904dadceabca53ab16ef95ba58fff393861b64c0cab96c9d1 SHA512 
3e6a2b648b12eff3d8f0aad12dda35a05820f6073e7f87e9c92ed6cca00fe031750da8f6c37eb81cf6ca7b2e4975dafffd7e3e901cb7b91e5c53c83b6e6b8420
 WHIRLPOOL 
9feff5557af5f4101e9ae508febf3479472781544b54345d5f53f0f19df5f40eb5af4ada2b44037f590445761ee9d3bffe14d729c465f880951d714eeb6ae491
 DIST pytest-cov-2.2.1.tar.gz 33154 SHA256 
a8b22e53e7f3b971454c35df99dffe21f4749f539491e935c55d3ff7e1b284fa SHA512 
8f20cf1c42b4415c7decf8407582e64045c599aedf1970160d02e35e723f56fa095af26ee4390eabf2d32e209898b0a3dae8b7212ac81ecda64d6dbc7c83f790
 WHIRLPOOL 
92386bd1ff532e0c98f1dc01b3583315a626a030fb4f38e39eb4f8755e83f3901873fdcd406f9c8bc6393040fa198cc416dae5e176e88084ed6fb16264d3c056
+DIST pytest-cov-2.3.1.tar.gz 35378 SHA256 
fa0a212283cdf52e2eecc24dd6459bb7687cc29adb60cb84258fab73be8dda0f SHA512 
79770beb53fbb43b5d68311c2efd0accbfd890ab6dad299da8c1c0b3d26b54d984807313b1507900cda7004bfb50fedc0bd4341cfcfce47849a4f24fc8184f11
 WHIRLPOOL 
8b0fe223f0cbae0bb9c85b3d8d7f80456e164f3565bd7ba146b0eb34c1fd06c0447405dccd2642f0a4aec1819ff74277d2eb9b076e61438fbf69b35c472755e0

diff --git a/dev-python/pytest-cov/files/fix-for-deprecation-warnings.patch 
b/dev-python/pytest-cov/files/fix-for-deprecation-warnings.patch
new file mode 100644
index 00000000..a555ca5
--- /dev/null
+++ b/dev-python/pytest-cov/files/fix-for-deprecation-warnings.patch
@@ -0,0 +1,16 @@
+diff --git a/tests/test_pytest_cov.py b/tests/test_pytest_cov.py
+index 6cbf341..614e53c 100644
+--- a/tests/test_pytest_cov.py
++++ b/tests/test_pytest_cov.py
+@@ -337,7 +337,10 @@ def test_central_nonspecific(testdir):
+     ])
+ 
+     # multi-module coverage report
+-    assert any(line.startswith('TOTAL ') for line in result.stdout.lines[-4:])
++    # Fix test failure due to pytest deprecation warnings being
++    # added to the expected output.  Look in entire output lines instead.
++    # assert any(line.startswith('TOTAL ') for line in 
result.stdout.lines[-4:])
++    assert any(line.startswith('TOTAL ') for line in 
result.stdout.lines[-10:])
+ 
+     assert result.ret == 0
+ 

diff --git a/dev-python/pytest-cov/pytest-cov-2.3.1.ebuild 
b/dev-python/pytest-cov/pytest-cov-2.3.1.ebuild
new file mode 100644
index 00000000..bcd9ef4
--- /dev/null
+++ b/dev-python/pytest-cov/pytest-cov-2.3.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="py.test plugin for coverage reporting"
+HOMEPAGE="https://github.com/pytest-dev/pytest-cov 
https://pypi.python.org/pypi/pytest-cov";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+       >=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+       >=dev-python/pytest-2.7.3[${PYTHON_USEDEP}]
+       >=dev-python/cov-core-1.14.0[${PYTHON_USEDEP}]
+       >=dev-python/coverage-3.7.1[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-py3doc-enhanced-theme[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               dev-python/process-tests[${PYTHON_USEDEP}]
+               || (
+                       >=dev-python/pytest-2.8.0[${PYTHON_USEDEP}]
+                       dev-python/pytest-cache[${PYTHON_USEDEP}]
+               )
+               =dev-python/pytest-xdist-1.15.0[${PYTHON_USEDEP}]
+               dev-python/pytest-capturelog[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/fix-for-deprecation-warnings.patch"
+)
+
+python_compile_all() {
+       use doc && sphinx-build -b html docs _build/html
+}
+
+python_test() {
+       PYTHONPATH="${S}/tests:${BUILD_DIR}/lib" \
+               PYTEST_PLUGINS=${PN/-/_} \
+               py.test -v -v -x || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( _build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to